from machine import Pin
import time
from apa106 import APA106

rgb_led = Pin(8, Pin.OUT)
ap = APA106(rgb_led, 1)
ap[0] = (0, 0, 0) # set the led to RGB
ap.write()

not_end = 1

while not_end:
    ap[0] = (0, 0, 64) # set the led to GRB
    ap.write()
    time.sleep_ms(300)

    ap[0] = (64, 64, 64) # set the led to GRB
    ap.write()
    time.sleep_ms(300)

    ap[0] = (0, 64, 0) # set the led to GRB
    ap.write()
    time.sleep_ms(300)

    ap[0] = (0, 0, 0) # set the led to GRB
    ap.write()
    time.sleep(1)
    
    ap[0] = (255, 255, 255) # set the led to GRB
    ap.write()
    time.sleep(1)
    
